# array_push

(PHP 4, PHP 5, PHP 7)

array_push — Push one or more elements onto the end of array

### Description

array_push ( array `&$array` [, mixed `$...` ] ) : int

array_push() treats `array` as a stack, and pushes the passed variables onto the end of `array`. The length of `array` increases by the number of variables pushed. Has the same effect as:

`<?php
$array[] = $var;
?>`
repeated for each passed value.

> Note: If you use array_push() to add one element to the array, it's better to use $array[] = because in that way there is no overhead of calling a function.

> Note: array_push() will raise a warning if the first argument is not an array. This differs from the $var[] behaviour where a new array is created.

### Parameters

`array`

  The input array.

`...`

  The values to push onto the end of the `array`.

### Return Values

Returns the new number of elements in the array.

### Changelog

Version | Description
--- | ---
7.3.0 | This function can now be called with only one parameter. Formerly, at least two parameters have been required.

### Examples

Example #1 array_push() example

`<?php
$stack = array("orange", "banana");
array_push($stack, "apple", "raspberry");
print_r($stack);
?>`

The above example will output:

    Array
    (
        [0] => orange
        [1] => banana
        [2] => apple
        [3] => raspberry
    )

### See Also

- array_pop() - Pop the element off the end of array
- array_shift() - Shift an element off the beginning of array
- array_unshift() - Prepend one or more elements to the beginning of an array